summaryrefslogtreecommitdiff
path: root/tests/mv/force
diff options
context:
space:
mode:
Diffstat (limited to 'tests/mv/force')
-rwxr-xr-xtests/mv/force58
1 files changed, 58 insertions, 0 deletions
diff --git a/tests/mv/force b/tests/mv/force
new file mode 100755
index 0000000..3836ec0
--- /dev/null
+++ b/tests/mv/force
@@ -0,0 +1,58 @@
+#!/bin/sh
+# move a file onto itself
+
+# Copyright (C) 1999, 2000, 2002 Free Software Foundation, Inc.
+
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
+# 02110-1301, USA.
+
+if test "$VERBOSE" = yes; then
+ set -x
+ mv --version
+fi
+
+ff=mvforce
+ff2=mvforce2
+
+framework_failure=0
+rm -f $ff $ff2 || framework_failure=1
+echo force-contents > $ff || framework_failure=1
+ln $ff $ff2 || framework_failure=1
+
+if test $framework_failure = 1; then
+ echo 'failure in testing framework'
+ exit 1
+fi
+
+# Make sure we get English translations.
+. $srcdir/../lang-default
+
+# This mv command should exit nonzero.
+mv $ff $ff > out 2>&1 && fail=1
+
+cat > exp <<EOF
+mv: \`$ff' and \`$ff' are the same file
+EOF
+
+cmp out exp || fail=1
+test `cat $ff` = force-contents || fail=1
+
+# This should succeed, even though the source and destination
+# device and inodes are the same.
+mv $ff $ff2 || fail=1
+
+rm -fr out exp $ff $ff2
+
+exit $fail